summaryrefslogtreecommitdiffstats
path: root/kde/kdebase
diff options
context:
space:
mode:
Diffstat (limited to 'kde/kdebase')
-rw-r--r--kde/kdebase/config/kdeglobals4
-rw-r--r--kde/kdebase/doinst.sh.gzbin0 -> 124 bytes
-rwxr-xr-xkde/kdebase/kdebase.SlackBuild112
-rwxr-xr-xkde/kdebase/profile.d/kde.csh12
-rwxr-xr-xkde/kdebase/profile.d/kde.sh13
-rw-r--r--kde/kdebase/slack-desc19
6 files changed, 160 insertions, 0 deletions
diff --git a/kde/kdebase/config/kdeglobals b/kde/kdebase/config/kdeglobals
new file mode 100644
index 0000000..25d4461
--- /dev/null
+++ b/kde/kdebase/config/kdeglobals
@@ -0,0 +1,4 @@
+[General]
+XftAntialias=true
+XftHintStyle=hintmedium
+XftSubPixel=none
diff --git a/kde/kdebase/doinst.sh.gz b/kde/kdebase/doinst.sh.gz
new file mode 100644
index 0000000..13ab96f
--- /dev/null
+++ b/kde/kdebase/doinst.sh.gz
Binary files differ
diff --git a/kde/kdebase/kdebase.SlackBuild b/kde/kdebase/kdebase.SlackBuild
new file mode 100755
index 0000000..89ff3a5
--- /dev/null
+++ b/kde/kdebase/kdebase.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-kdebase
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+cd $TMP
+echo "Building kdebase-$VERSION..."
+tar xvf $CWD/../src/kdebase-$VERSION.tar.?z* || exit 1
+cd kdebase-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DRUN_KAPPFINDER=ON \
+ ..
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+# Add profile scripts
+mkdir -p $PKG/etc/profile.d
+cat $CWD/profile.d/kde.sh | sed -e "s#/lib/#/lib${LIBDIRSUFFIX}/#" \
+ > $PKG/etc/profile.d/kde.sh
+cat $CWD/profile.d/kde.csh | sed -e "s#/lib/#/lib${LIBDIRSUFFIX}/#" \
+ > $PKG/etc/profile.d/kde.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+# "konsole -ls" is no longer valid syntax for konsole, even though it's
+# still documented in the help manual. Here's a way to get the same
+# thing, and it works here, but I honestly don't know how it will act
+# everywhere with every shell. I just know it works with bash and ksh
+sed -i -e 's/Exec=konsole/Exec=konsole -e $SHELL -l/' \
+ $PKG/usr/share/applications/kde4/konsole.desktop
+
+## I find this a little bit too bright... <change by pjv>
+## Change the konsole defaults to look like the real Linux console:
+#sed -i 's/ColorScheme=Linux/ColorScheme=WhiteOnBlack/' \
+# $PKG/usr/share/apps/konsole/Shell.profile
+
+mkdir -p $PKG/usr/doc/kdebase-$VERSION
+cp -a AUTHORS COPYING* README $PKG/usr/doc/kdebase-$VERSION || true
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/kdebase-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/kde/kdebase/profile.d/kde.csh b/kde/kdebase/profile.d/kde.csh
new file mode 100755
index 0000000..a09579b
--- /dev/null
+++ b/kde/kdebase/profile.d/kde.csh
@@ -0,0 +1,12 @@
+#!/bin/csh
+# KDE additions:
+if ( ! $?KDEDIRS ) then
+ setenv KDEDIRS /usr
+endif
+setenv PATH ${PATH}:/usr/lib/kde4/libexec
+
+if ( $?XDG_CONFIG_DIRS ) then
+ setenv XDG_CONFIG_DIRS ${XDG_CONFIG_DIRS}:/etc/kde/xdg
+else
+ setenv XDG_CONFIG_DIRS /etc/xdg:/etc/kde/xdg
+endif
diff --git a/kde/kdebase/profile.d/kde.sh b/kde/kdebase/profile.d/kde.sh
new file mode 100755
index 0000000..6f0199e
--- /dev/null
+++ b/kde/kdebase/profile.d/kde.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# KDE additions:
+KDEDIRS=/usr
+export KDEDIRS
+PATH="$PATH:/usr/lib/kde4/libexec"
+export PATH
+if [ ! "$XDG_CONFIG_DIRS" = "" ]; then
+ XDG_CONFIG_DIRS=$XDG_CONFIG_DIRS:/etc/kde/xdg
+else
+ XDG_CONFIG_DIRS=/etc/xdg:/etc/kde/xdg
+fi
+export XDG_CONFIG_DIRS
+
diff --git a/kde/kdebase/slack-desc b/kde/kdebase/slack-desc
new file mode 100644
index 0000000..bf91423
--- /dev/null
+++ b/kde/kdebase/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdebase: kdebase (KDE core applications and files)
+kdebase:
+kdebase: This package provides the core applications and infrastructure files
+kdebase: for the KDE Plasma Desktop.
+kdebase:
+kdebase:
+kdebase:
+kdebase:
+kdebase:
+kdebase:
+kdebase: